%define builtin_release_version 2
%define builtin_release_name Milano
%define builtin_release_variant aaa
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: PU_IAS Linux release file
Name: PU_IAS-release
Version: %{real_release_version}
Release: 8.1
Copyright: GPL
Group: System Environment/Base
Source: PU_IAS-release-%{builtin_release_version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de redhat-release
Provides: redhat-release
BuildRoot: %{_tmppath}/redhat-release-root
ExcludeArch: ppc64

%description
PU_IAS Linux release files

%prep
%setup -q -n PU_IAS-release-%{builtin_release_version}

%if %{builtin_release_variant} != common
%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "PU_IAS Linux release %{real_release_version}.8 (%{real_release_name})" > $RPM_BUILD_ROOT/etc/PU_IAS-release
cp $RPM_BUILD_ROOT/etc/PU_IAS-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -sf PU_IAS-release $RPM_BUILD_ROOT/etc/redhat-release

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp %{current_arch}/supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

mkdir -p -m 755 $RPM_BUILD_ROOT/usr/share/PU_IAS
install -m 644 MATHPU-GPG-KEY $RPM_BUILD_ROOT/usr/share/PU_IAS
%endif

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%if %{builtin_release_variant} != common
%attr(0644,root,root) /etc/PU_IAS-release
/etc/redhat-release
%doc %{current_arch}/R*
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%dir /usr/share/PU_IAS
%attr(0644,root,root) /usr/share/PU_IAS/*
%endif
%doc EULA GPL autorun-template
%if %{builtin_release_variant} == common
%doc RPM-GPG-KEY
%endif
